NB=100000
FICLOG=resultat$NB.log
rm -f $FICLOG

DATE=`date`
echo "Lancement des $NB excutions : $DATE"
pvccoco-02 $NB  >> $FICLOG
DATE=`date`
echo "Fin : $DATE"

echo "calcul des statistiques :"
echo -e "Score      \tOccur.\tCumul.\tEcart"
rm -f listetriee.txt
grep "optimisation" $FICLOG | cut -d "=" -f 2 | cut -d ")" -f 1 |sort -n > listetriee.txt
liste_score=`uniq listetriee.txt` 
cumul=0
for score in $liste_score
do
	if [ "$min" = "" ]
	then
		min=$score
	fi
	nb=`grep $score listetriee.txt | wc -l`
	nb=`echo "$nb $NB" | awk '{ print $1*100/$2 }'`
	cumul=`echo $cumul $nb | awk '{ print $1+$2 }'`
	ecart=`echo $score $min | awk '{ print $1*100/$2-100 }'`
	forme=`grep $score $FICLOG |head -1 | cut -d ":" -f 2 |cut -d "(" -f 1`
	echo -e "$score :\t$nb%\t$cumul%\t(+$ecart%)\t$forme"
done

rm -f listetriee.txt
rm -f $FICLOG
